#
# spec file for package devidify
#
# Copyright (c) 2023 Packman Team <packman@links2linux.de>
# Copyright (c) 2007-2009 oc2pus
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments to packman@links2linux.de
#


%{!?python_sitelib:  %global python_sitelib  %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
Name:           devidify
Version:        1.14
Release:        pm153.4.1
Summary:        Extracting audio tracks from DVDs
License:        GPL-2.0-only
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://www.mahnamahna.net/museyroom/devidify/devidify.shtml
Source0:        %{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(python3)
Requires:       MPlayer
Requires:       lame
Requires:       lsdvd
Requires:       python3-base >= %{py3_ver}
Requires:       python3-gtk
Requires:       vorbis-tools
BuildArch:      noarch

%description
I wrote it because I had a few concert DVDs laying around, and
wanted to get their audio tracks into my portable music player.
At the time, existing Linux-based tools meant ripping the video
first, then extracting the audio. They made none of this easy.
Who has time for such nonsense? Devidify makes things easy.
Feed it a shiny disc and it spits out WAV, MP3, or Ogg Vorbis
files.

%prep
%autosetup -p1

%build
tee setup.cfg <<_EOF_
[install]
install_data=%{_datadir}
install_scripts=%{_bindir}
_EOF_
python3 setup.py build

%install
install -dm 755 %{buildroot}%{python_sitelib}

python3 setup.py install \
    --root=%{buildroot}\
    --prefix=%{_prefix}

cat > %{name}.desktop << EOF
[Desktop Entry]
#Encoding=UTF-8
Name=Devidify
Type=Application
Terminal=false
Exec=devidify
#Icon=
Comment=Extract audio from your DVDs
EOF
%suse_update_desktop_file -i %{name} AudioVideo AudioVideoEditing

# Remove duplicate docs
rm %{buildroot}/%{_datadir}/%{name}/COPYING
rm %{buildroot}/%{_datadir}/%{name}/NEWS
rm %{buildroot}/%{_datadir}/%{name}/README
rm %{buildroot}/%{_datadir}/%{name}/TODO

%files
%license COPYING
%doc NEWS README TODO
%{_bindir}/devidify
%{_datadir}/%{name}
%{python3_sitelib}
%{_datadir}/applications/*.desktop

%changelog
* Thu Jan  5 2023 Carsten Ziepke <kieltux@gmail.com>
- Force python3 build
- Run spec-cleaner
* Sat May 10 2008 toni@links2linux.de
- update to 1.14
* Mon Jul  2 2007 toni@links2linux.de
- initial build 1.12
